Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrnv2.session
Interface ConsultrnPersonService

All Known Implementing Classes:
  ConsultrnPersonServiceImpl

    public interface ConsultrnPersonService

Service interface for RNConsult PersonService.

Method Summary
`SearchPersonBySsinResponse` | `searchPersonBySsin(SearchPersonBySsinRequest request)` When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:
`SearchPersonPhoneticallyResponse` | `searchPersonPhonetically(SearchPersonPhoneticallyRequest request)` When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

Method Detail

### searchPersonBySsin

    SearchPersonBySsinResponse searchPersonBySsin(SearchPersonBySsinRequest request)
                                                  throws TechnicalConnectorException

  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

       (SearchPersonBySsinResponse) soaErrorException.getResponseTypeV2()

  Throws:
    `TechnicalConnectorException`

### searchPersonPhonetically

    SearchPersonPhoneticallyResponse searchPersonPhonetically(SearchPersonPhoneticallyRequest request)
                                                              throws TechnicalConnectorException

  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

       (SearchPersonPhoneticallyResponse) soaErrorException.getResponseTypeV2()

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.